Skip to Content
0

Unable to Install kubernetes on Suse 12 SP1

Apr 26 at 12:36 PM

103

avatar image

HI,

we are planning to Install Vora 2.1 on Suse 12 SP1. we need to Install kubernetes & Docker on Suse 12 SP1. i have followed below Suse page

https://software.opensuse.org/download.htmlproject=Virtualization%3Acontainers&package=kubernetes

i am able to repository and refresh that repositary

zypper addrepo https://download.opensuse.org/repositories/Virtualization:containers/SLE_12_SP1/Virtualization:containers.repo
zypper refresh

but unable to install kubernetes cluster by using zypper install kubernetes

I dont see any documentation around that in vora administration guide or Suse web page

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

1 Answer

Jason Hinsperger
Apr 26 at 01:08 PM
0

The last time checked, the repo. you refer to is for Kubernetes 1.6. Vora requires Kubernetes 1.7, so even you got it installed, it wouldn't work for you to install Vora.

Unfortunately, I have found that the public/open SUSE support for raw Kubernetes packages to be very poor. However, if you are committed to SUSE, you might check out the SUSE CaaS Platform. This is their Kubernetes service platform.

If you really want to pursue K8s on SUSE, you might look at the OpenSUSE CaaS repos. They contain different versions of K8s you could install into a vanilla SUSE install.

--Jason

Show 2 Share
10 |10000 characters needed characters left characters exceeded

Jason Hinsperger thanks for quick reply.

Jason if we Install SUSE Caas 2.0 platform which version of kubernetes we will get and also Docker container is also part of that or do we need to Install that separately .

In pre-requisite note (2213226) i can see that Vora 2.1 verification completed for SUSE Caas and Openshift .

do we have guide specifically for Sap Vora 2.1 on SUSE Caas 2.0 platform

Regards

karthik

0

I am not sure of the exact K8s version that CaasP uses, but as you say it is verified in the SAP Note, so I expect it is a supported version.

There is no separate guide required for installing Vora on CaasP. The install process is the same.

--Jason

0